@import 'scss/variables';
@import 'scss/mixins';

.postcard {
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
    margin-bottom: size(12);
    border-radius: size(4);
    user-select: none;
    position: relative;
    transition: 0.3s;
    border-radius: 4px;

    &[aria-expanded='true'] {
        .postcard__content {
            opacity: 1;
        }

        .postcard__inner {
            opacity: 1;
        }

        .postcard__label {
            background-color: rgba(#9fc529, 0.4);
        }
    }

    &[aria-expanded='false'] {
        .postcard__label {
            background-color: initial;

            @include respond_to(md) {
                &:hover {
                    transition: background-color 0.2s ease-out;
                    background-color: rgba(#9fc529, 0.4);
                }
            }
        }
    }

    @include respond_to(md) {
        &:hover {
            box-shadow: rgba(0, 0, 0, 0.24) 0px 6px 16px;
        }
    }
}

.postcard__label {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    text-align: left;
    padding: size(8) size(16);
    cursor: pointer;
    transition: color 0.2s ease-out;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: size(16);
    line-height: size(18);
    letter-spacing: 0.14px;
    transition: background-color 0.2s ease-out;
    border-radius: 4px;

    span {
        max-width: 85%;
        margin-left: 8px;
    }

    &:focus {
        outline: none;
    }

    &:hover {
        transition: background-color 0.2s ease-out;
        background-color: rgba(#9fc529, 0.4);
    }
}

.postcard__inner {
    opacity: 0;
    overflow: hidden;
    transition: opacity 0.2s, height 0.3s cubic-bezier(0.65, 0.05, 0.36, 1);
}

.postcard__content {
    padding: 0.5rem 1rem;
    opacity: 0;
    transition: opacity 0.3s cubic-bezier(0.65, 0.05, 0.36, 1) 0.1s;
    font-style: normal;
    font-weight: 400;
    font-size: size(16);
    line-height: size(22);
    letter-spacing: 0.14px;
    white-space: pre-wrap;
}

.postscard__avatar {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
    font-style: italic;

    span {
        margin-left: 8px;
        font-weight: 700;
        font-size: size(16);
        letter-spacing: 0.16px;
    }
}

.delete_button {
    position: absolute;
    top: 8px;
    right: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    padding: 0;
    cursor: pointer;
    box-sizing: border-box;
    z-index: 1;
    border-radius: 4px;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
    width: size(24);
    height: size(24);

    &:focus {
        outline: none;
    }

    svg {
        width: size(18);
        height: size(18);
    }
}
